summaryrefslogtreecommitdiffstats
path: root/www/firefox3-devel/files/moz_pis_S50cleanhome
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-06-02 09:05:36 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-06-02 09:05:36 +0800
commitb10c110cfe04fdd097086e56c11831054809b0e5 (patch)
treedf348c4839a67204d0dec1fbdb9cdc5a188e098b /www/firefox3-devel/files/moz_pis_S50cleanhome
parentae582365a5d1a6050b651b72a1ce72488ca059cd (diff)
downloadmarcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.gz
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.bz2
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.lz
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.xz
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.zst
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.zip
- Readd firefox at version 1.1.a1 (deer park alpha1)
- Remove lots of patches that are merged in to firefox now. - Always use XFT now. Notes: o The way we register chrome no longer works I tired to do a workaround but it didn't work. We might have to go back to the way we used to register chrome with the X hack stuff. For now you HAVE to run firefox as root before you can run it as normal user or it won't even start. Hopefully they will merge the fixes mozilla-devel has so you don't have to register chrome at all. o The pis scripts stuff need testing also, I'm not really sure about them? Release Notes: http://www.mozilla.org/projects/deerpark/releases/alpha1.html git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@4022 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'www/firefox3-devel/files/moz_pis_S50cleanhome')
-rw-r--r--www/firefox3-devel/files/moz_pis_S50cleanhome31
1 files changed, 31 insertions, 0 deletions
diff --git a/www/firefox3-devel/files/moz_pis_S50cleanhome b/www/firefox3-devel/files/moz_pis_S50cleanhome
new file mode 100644
index 000000000..3de5565e3
--- /dev/null
+++ b/www/firefox3-devel/files/moz_pis_S50cleanhome
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+
+# S50cleanhome
+# a script to clean up users' Mozilla home directories to make upgrading
+# less painful.
+
+# We run in our own subshell
+
+# First, verify protocol
+[ "$1" != "start" ] && exit 1
+[ -z "${MOZ_PIS_API}" -o ${MOZ_PIS_API} -ne 2 ] && exit 1
+[ -z "${MOZ_PIS_MOZBINDIR}" -o ! -d "${MOZ_PIS_MOZBINDIR}" ] && exit 1
+[ -z "${HOME}" -o ! -d "${HOME}" ] && exit 1
+[ -z "${MOZ_PIS_USER_DIR}" -o ! -d "${HOME}/${MOZ_PIS_USER_DIR}" ] && exit 1
+
+# Try to cleanup ${HOME}/${MOZ_PIS_USER_DIR}
+
+if [ -f "${HOME}/${MOZ_PIS_USER_DIR}/profiles.ini" ]; then
+ sed -e '/Path=/! d' -e "s,Path=,${HOME}/${MOZ_PIS_USER_DIR}/," \
+ "${HOME}/${MOZ_PIS_USER_DIR}/profiles.ini" \
+ | while read dir
+ do
+ [ ! -d "${dir}" ] && continue
+ # Debian does this for new builds
+ # rm -f "${dir}/XUL.mfasl"
+ # force a rebuild of compreg.dat and xpti.dat for new installations
+ [ "${dir}/compreg.dat" -ot "${MOZ_PIS_MOZBINDIR}/components.ini" ] &&
+ rm -f "${dir}/compatibility.ini" "${dir}/XUL.mfasl"
+ done
+fi